Bug 135174 - sane-hp crashes when there are USB errors
sane-hp crashes when there are USB errors
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2004-10-09 14:53 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-28 10:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-10-09 14:53:00 EDT
Description of problem:

Having persuaded sane that my USB scanner existed it then segfaults
(hp driver) with segfault at 0000000000000010 rip 000002a95688ffe error 4 

HP 6200C
Comment 1 Bill Nottingham 2004-10-11 10:54:01 EDT
Changing arch to x86-64... does this happen on x86 too?
Comment 2 Alan Cox 2004-10-11 10:55:07 EDT
I've not seen it occur on the x86-32 box yet
Comment 3 Tim Waugh 2004-10-12 09:05:56 EDT
Is there a stack trace?  What SANE-aware application are you using?

Try setting SANE_DEBUG_HP=255 to see if there's more information we
can get prior to the crash.
Comment 4 Alan Cox 2004-10-12 09:20:41 EDT
I didn't get a trace (was just the log). I've had a play with this and
I found out a lot more. It only crashes using USB, it only crashes
when the USB logs a collection of failures. Looks like its some kind
of intolerance to errors.

It isn't a 32/64bit problem - I just happened to use SCSI on the 32bit.
Comment 5 Tim Waugh 2004-10-12 09:57:54 EDT
Please attach what you have.  Thanks.
Comment 6 Alan Cox 2004-10-12 10:07:14 EDT
The logged segfault is all I have (its from dmesg segfault logging by
the kernel)
Comment 7 Tim Waugh 2004-10-12 10:21:34 EDT
Alan, I don't even know what application you're running. :-)

Try setting SANE_DEBUG_HP=255, and run 'scanimage'.
Comment 8 Alan Cox 2004-10-12 10:23:50 EDT
It ws running "xsane" when it crashed. Its now plugged into a
production system via scsi so the earliest I can try USB again is
probably late october. 
Comment 9 Tim Waugh 2004-10-12 12:46:25 EDT
Without debug info it's hard to say very much about this.
Comment 10 Matthew Miller 2006-07-10 19:37:40 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.